Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 553898 - Review Request: rubygem-jeweler - Craft the perfect RubyGem
Summary: Review Request: rubygem-jeweler - Craft the perfect RubyGem
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 553902 565549
Blocks: FE-DEADREVIEW 553893 555988 632912
TreeView+ depends on / blocked
 
Reported: 2010-01-09 12:11 UTC by Jeroen van Meeuwen
Modified: 2010-11-17 23:14 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-17 17:31:45 UTC


Attachments (Terms of Use)

Description Jeroen van Meeuwen 2010-01-09 12:11:14 UTC
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-jeweler.spec
SRPM URL: http://www.kanarip.com/custom/f12/SRPMS/rubygem-jeweler-1.4.0-1.fc12.src.rpm
Description: \

Jeweler provides two things:

 * Rake tasks for managing gems and versioning of a GitHub project
 * A generator for creating kickstarting a new project


 * NOTE: %check has a lot of dependencies not yet in Fedora, so it's disabled for now

Comment 1 Ruben Kerkhof 2010-01-09 16:24:05 UTC
Hi Jeroen,

There's a missing BuildRequires on rubygem-rcov.
After disabling %check, the package builds fine, but please have a look at the rpmlint output, and your umask :-)

Comment 2 Jeroen van Meeuwen 2010-01-09 16:55:21 UTC
The rcov buildrequires is in there, it's just commented out as it's only need in %check which we can't execute now anyways, because of the buildrequires for %check that are not in Fedora yet.

Comment 3 Ruben Kerkhof 2010-01-31 14:46:06 UTC
Ah, I didn't see that. The %check section isn't disabled in the above spec.

If you're going to use %check, don't forget to add a BR on rubygem(rake).

%{geminstdir}/%{gemname}.gemspec can be removed, it's already in %{gemdir}/specifications/%{gemname}-%{version}.gemspec

Comment 4 Mamoru TASAKA 2010-02-12 13:37:39 UTC
What is the status of this bug?

Comment 5 Karel Klíč 2010-02-15 15:58:34 UTC
jeweler.gemspec contains the following lines:

s.add_runtime_dependency(%q<git>, [">= 1.2.5"])
s.add_runtime_dependency(%q<rubyforge>, [">= 2.0.0"])
s.add_runtime_dependency(%q<gemcutter>, [">= 0.1.0"])

AFAIK it means rubyforge and gemcutter gems should be added to the Require section in the spec file.

Rubyforge gem also needs to be updated in Fedora, as jeweler complains about its version (when I add it to the Require section):
irb(main):003:0> require 'rubygems'
=> true
irb(main):004:0> require 'jeweler'
Gem::LoadError: RubyGem version error: rubyforge(1.0.5 not >= 2.0.0)

Comment 6 Mamoru TASAKA 2010-03-04 06:06:59 UTC
Would someone update the status of this bug?

By the way I submitted rubyforge 2.0.4 / hoe 2.5.0 / fixed gemcutter 0.3.0
updates for F-12 testing / F-13 stable (for F-13 updates request will
go to stable in a day, perhaps). Currently I have no plan
to update F-11 rubyforge 1.0.5 to 2.0.4. Karel and kanarip, do you need
jeweler also for F-11?

Comment 7 Karel Klíč 2010-03-08 09:02:35 UTC
Mamoru, thank you for the updates. 
I do not need jeweler in F-11.

Comment 8 Michael Stahnke 2010-08-30 01:10:36 UTC
Should this review be canceled? I would like to have jeweler in Fedora/EPEL and can package it up if this review is going nowhere.

Comment 9 Mamoru TASAKA 2010-09-09 17:45:41 UTC
Would someone update the status of this bug?

Currently the review request for rubygem-construct blocks this
review, however as far as I checked jeweler-1.4.0.gem, construct
does not seem to be needed on runtime.

Comment 10 Mamoru TASAKA 2010-09-22 17:12:24 UTC
Someone ping again?

Comment 11 Michal Ambroz 2010-09-25 18:35:45 UTC
Jeweler is used in rubygem-robots.

Comment 12 Ruben Kerkhof 2010-10-17 17:31:45 UTC
In reply to comment #8:

Sure, if you want to pick it up that would be great.


Note You need to log in before you can comment on or make changes to this bug.